org.richfaces.renderkit.html

## Class HtmlMessagesRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.MessageRendererBase
      - - org.richfaces.renderkit.html.HtmlMessagesRenderer

-     public class HtmlMessagesRenderer
      extends MessageRendererBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlMessagesRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.

    - ### Methods inherited from class org.richfaces.renderkit.MessageRendererBase

      `encodeMessage, encodeScript, getJSClassName, getLevel, getMessages, getMsgClass, getMsgStyle, getVisibleMessages, isComponentMessage, isComponentMessages, isComponentRichMessage, isComponentRichMessages`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlMessagesRenderer

          public HtmlMessagesRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.